<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.36.10.200
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.36.10.200">
   <title>Klinische gegevens</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.200
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.200']]
Item: (Klinischegegevens)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.200
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.200']]/hl7:section
Item: (Klinischegegevens)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.200']]/hl7:section"
         id="tmp-d1628ae3-048c-4c9d-b287-630fe4d05307">
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.200.html"
              test="@classCode='DOCSECT'">(Klinischegegevens): De waarde van @classCode MOET 'DOCSECT' zijn.</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.200.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.200'])&gt;=1 ">(Klinischegegevens): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.200'] is required [min 1x].</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.200.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.200'])&lt;=1">(Klinischegegevens): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.200'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.200.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(Klinischegegevens): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.200.html"
              test="count(hl7:code)&lt;=1">(Klinischegegevens): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.200.html"
              test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(Klinischegegevens): element hl7:title is mandatory [min 1x].</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.200.html"
              test="count(hl7:title)&lt;=1">(Klinischegegevens): element hl7:title komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.200.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(Klinischegegevens): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.200.html"
              test="count(hl7:text)&lt;=1">(Klinischegegevens): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.200
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.200']]/hl7:section/hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.200']
Item: (Klinischegegevens)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.200']]/hl7:section/hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.200']"
         id="tmp-c0c1828b-9456-42bd-87e4-e94f40a7149a">
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.200.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(Klinischegegevens): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.200.html"
              test="@root='2.16.840.1.113883.2.4.3.36.10.200'">(Klinischegegevens): @root MOET de waarde '2.16.840.1.113883.2.4.3.36.10.200' hebben.</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.200.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(Klinischegegevens): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.200
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.200']]/hl7:section/hl7:code
Item: (Klinischegegevens)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.200']]/hl7:section/hl7:code"
         id="tmp-54ff7e42-b52a-456a-9bff-e6a5cc377e75">
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.200.html"
              test="@nullFlavor or @xsi:type='CD' or not(@xsi:type)">(Klinischegegevens): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CD" bevatten</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.200.html"
              test="@nullFlavor or (@code='22636-5' and @codeSystem='2.16.840.1.113883.6.1')">(Klinischegegevens): De waarde van @code/@codeSystem MOET ''22636-5' codeSystem '2.16.840.1.113883.6.1'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.200
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.200']]/hl7:section/hl7:title
Item: (Klinischegegevens)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.200']]/hl7:section/hl7:title"
         id="tmp-c90c0506-84e8-440d-9af2-200d5a53fc86">
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.200.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(Klinischegegevens): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.200.html"
              test="text()='Klinische gegevens'">(Klinischegegevens): de element content van hl7:title MOET ''Klinische gegevens'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.200
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.200']]/hl7:section/hl7:text
Item: (Klinischegegevens)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.200']]/hl7:section/hl7:text"
         id="tmp-907d43c3-4ca2-4d31-95b0-9d889ddf025b">
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.200.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(Klinischegegevens): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
</pattern>