<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.36.10.310
Description: Template: Boston Bowel Preparation Scale
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.36.10.310">
   <title>Boston Bowel Preparation Scale</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.310
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.310']]
Item: (Bostonbowelpreparationscale)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.310
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.310']]/hl7:observation
Item: (Bostonbowelpreparationscale)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.310']]/hl7:observation"
         id="tmp-a73e5b28-0ffa-4796-9aa2-8d9c3409eb2e">
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.310.html"
              test="@classCode='OBS'">(Bostonbowelpreparationscale): De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.310.html"
              test="@moodCode='EVN'">(Bostonbowelpreparationscale): De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.310.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.310'])&gt;=1 ">(Bostonbowelpreparationscale): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.310'] is required [min 1x].</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.310.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.310'])&lt;=1">(Bostonbowelpreparationscale): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.310'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.310.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(Bostonbowelpreparationscale): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.310.html"
              test="count(hl7:code)&lt;=1">(Bostonbowelpreparationscale): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.310.html"
              test="count(hl7:text)&lt;=1">(Bostonbowelpreparationscale): element hl7:text komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.310.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(Bostonbowelpreparationscale): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.310.html"
              test="count(hl7:value)&lt;=1">(Bostonbowelpreparationscale): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.310.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.311']]])&gt;=1 ">(Bostonbowelpreparationscale): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.311']]] is required [min 1x].</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.310.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.311']]])&lt;=1">(Bostonbowelpreparationscale): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.311']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.310.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.312']]])&gt;=1 ">(Bostonbowelpreparationscale): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.312']]] is required [min 1x].</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.310.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.312']]])&lt;=1">(Bostonbowelpreparationscale): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.312']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.310.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.313']]])&gt;=1 ">(Bostonbowelpreparationscale): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.313']]] is required [min 1x].</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.310.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.313']]])&lt;=1">(Bostonbowelpreparationscale): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.313']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.310
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.310']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.310']
Item: (Bostonbowelpreparationscale)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.310']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.310']"
         id="tmp-610b38bc-5246-48f2-a50e-28a625b7da49">
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.310.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(Bostonbowelpreparationscale): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.310.html"
              test="@root='2.16.840.1.113883.2.4.3.36.10.310'">(Bostonbowelpreparationscale): @root MOET de waarde '2.16.840.1.113883.2.4.3.36.10.310' hebben.</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.310.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(Bostonbowelpreparationscale): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.310
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.310']]/hl7:observation/hl7:code
Item: (Bostonbowelpreparationscale)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.310']]/hl7:observation/hl7:code"
         id="tmp-82fc2af1-d598-4ed7-8b18-e8848e949958">
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.310.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(Bostonbowelpreparationscale): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.310.html"
              test="@nullFlavor or (@code='X_BBPSSS' and @codeSystem='2.16.840.1.113883.6.1')">(Bostonbowelpreparationscale): De waarde van @code/@codeSystem MOET ''X_BBPSSS' codeSystem '2.16.840.1.113883.6.1'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.310
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.310']]/hl7:observation/hl7:text
Item: (Bostonbowelpreparationscale)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.310']]/hl7:observation/hl7:text"
         id="tmp-d78fadc2-ee6b-4a93-8cb3-42dffe77510f">
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.310.html"
              test="@nullFlavor or @xsi:type='ED' or not(@xsi:type)">(Bostonbowelpreparationscale): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ED" bevatten</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.310.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Bostonbowelpreparationscale): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.310.html"
              test="count(hl7:reference)&lt;=1">(Bostonbowelpreparationscale): element hl7:reference komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.310
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.310']]/hl7:observation/hl7:text/hl7:reference
Item: (Bostonbowelpreparationscale)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.310']]/hl7:observation/hl7:text/hl7:reference"
         id="tmp-776a7d68-8446-44df-9919-07234537310b">
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.310.html"
              test="@nullFlavor or @xsi:type='TEL' or not(@xsi:type)">(Bostonbowelpreparationscale): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TEL" bevatten</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.310
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.310']]/hl7:observation/hl7:value
Item: (Bostonbowelpreparationscale)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.310']]/hl7:observation/hl7:value"
         id="tmp-7bad21ec-faac-4ccb-8dfc-9344b3599591">
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.310.html"
              test="@nullFlavor or @xsi:type='CO' or not(@xsi:type)">(Bostonbowelpreparationscale): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CO" bevatten</assert>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-vs_BBPS_sumscore-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-vs_BBPS_sumscore-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.310.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(Bostonbowelpreparationscale): De waarde van @code MOET worden gekozen uit Value Set vs_BBPS_sumscore Boston Bowel Preparation Score sum score DYNAMIC.</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.310.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0">(Bostonbowelpreparationscale): De nul waarde voor @code MOET worden gekozen uit de set geldige null flavors gedefinieerd voor dit attribuut of degene geassocieerd met Value Set vs_BBPS_sumscore Boston Bowel Preparation Score sum score DYNAMIC.</assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.310
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.310']]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.311']]]
Item: (Bostonbowelpreparationscale)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.310']]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.311']]]"
         id="tmp-59826c60-5e91-49c3-9fe4-cef330fa2cc4">
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.310.html"
              test="@typeCode='COMP'">(Bostonbowelpreparationscale): De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.310
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.310']]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.312']]]
Item: (Bostonbowelpreparationscale)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.310']]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.312']]]"
         id="tmp-5f7169b6-82b4-434e-8925-f06a9f354abe">
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.310.html"
              test="@typeCode='COMP'">(Bostonbowelpreparationscale): De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.310
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.310']]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.313']]]
Item: (Bostonbowelpreparationscale)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.310']]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.313']]]"
         id="tmp-db3c3b25-e337-4829-a7b6-497968660a7b">
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.310.html"
              test="@typeCode='COMP'">(Bostonbowelpreparationscale): De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>
</pattern>