<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.36.10.311
Description: Template: Boston Bowel Preparation Scale Right Colon
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.36.10.311">
   <title>Boston Bowel Preparation Scale Right Colon</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.311
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.311']]
Item: (Bostonbowelpreparationscalerightcolon)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.311
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.311']]/hl7:observation
Item: (Bostonbowelpreparationscalerightcolon)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.311']]/hl7:observation"
         id="tmp-9813a953-8a84-4360-9984-1c51d5c84925">
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.311.html"
              test="@classCode='OBS'">(Bostonbowelpreparationscalerightcolon): De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.311.html"
              test="@moodCode='EVN'">(Bostonbowelpreparationscalerightcolon): De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.311.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.311'])&gt;=1 ">(Bostonbowelpreparationscalerightcolon): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.311'] is required [min 1x].</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.311.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.311'])&lt;=1">(Bostonbowelpreparationscalerightcolon): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.311'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.311.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(Bostonbowelpreparationscalerightcolon): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.311.html"
              test="count(hl7:code)&lt;=1">(Bostonbowelpreparationscalerightcolon): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.311.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(Bostonbowelpreparationscalerightcolon): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.311.html"
              test="count(hl7:value)&lt;=1">(Bostonbowelpreparationscalerightcolon): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.311
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.311']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.311']
Item: (Bostonbowelpreparationscalerightcolon)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.311']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.311']"
         id="tmp-ff46847c-7b66-4abf-ade4-7b845ec9de37">
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.311.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(Bostonbowelpreparationscalerightcolon): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.311.html"
              test="@root='2.16.840.1.113883.2.4.3.36.10.311'">(Bostonbowelpreparationscalerightcolon): @root MOET de waarde '2.16.840.1.113883.2.4.3.36.10.311' hebben.</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.311.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(Bostonbowelpreparationscalerightcolon): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.311
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.311']]/hl7:observation/hl7:code
Item: (Bostonbowelpreparationscalerightcolon)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.311']]/hl7:observation/hl7:code"
         id="tmp-c497216c-073c-44b0-b898-8bd3dc04dd6c">
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.311.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(Bostonbowelpreparationscalerightcolon): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.311.html"
              test="@nullFlavor or (@code='X_BBPSCR' and @codeSystem='2.16.840.1.113883.6.1')">(Bostonbowelpreparationscalerightcolon): De waarde van @code/@codeSystem MOET ''X_BBPSCR' codeSystem '2.16.840.1.113883.6.1'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.311
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.311']]/hl7:observation/hl7:value
Item: (Bostonbowelpreparationscalerightcolon)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.311']]/hl7:observation/hl7:value"
         id="tmp-71fa9549-c86a-4668-9460-6bb03f091126">
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.311.html"
              test="@nullFlavor or @xsi:type='CO' or not(@xsi:type)">(Bostonbowelpreparationscalerightcolon): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CO" bevatten</assert>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-vs_BBPS_xscale-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-vs_BBPS_xscale-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.311.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(Bostonbowelpreparationscalerightcolon): De waarde van @code MOET worden gekozen uit Value Set vs_BBPS_xscale Boston Bowel Preparation Score per axis DYNAMIC.</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.311.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0">(Bostonbowelpreparationscalerightcolon): De nul waarde voor @code MOET worden gekozen uit de set geldige null flavors gedefinieerd voor dit attribuut of degene geassocieerd met Value Set vs_BBPS_xscale Boston Bowel Preparation Score per axis DYNAMIC.</assert>
   </rule>
</pattern>