<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.36.10.321
Description: Template: Intubatie tijd
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.36.10.321">
   <title>Intubation of colon</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.321
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.321']]
Item: (Intubationofcolon)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.321
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.321']]/hl7:procedure
Item: (Intubationofcolon)
-->

<rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.321']]/hl7:procedure"
         id="tmp-3cb73782-53e3-4562-9b8a-cdccd85ef139">
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.321.html"
              test="@classCode='PROC'">(Intubationofcolon): De waarde van @classCode MOET 'PROC' zijn.</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.321.html"
              test="@moodCode='EVN'">(Intubationofcolon): De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.321.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.321'])&gt;=1 ">(Intubationofcolon): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.321'] is required [min 1x].</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.321.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.321'])&lt;=1">(Intubationofcolon): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.321'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.321.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(Intubationofcolon): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.321.html"
              test="count(hl7:code)&lt;=1">(Intubationofcolon): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.321.html"
              test="count(hl7:text)&lt;=1">(Intubationofcolon): element hl7:text komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.321.html"
              test="count(hl7:effectiveTime)&gt;=1 ">(Intubationofcolon): element hl7:effectiveTime is required [min 1x].</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.321.html"
              test="count(hl7:effectiveTime)&lt;=1">(Intubationofcolon): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.321
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.321']]/hl7:procedure/hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.321']
Item: (Intubationofcolon)
-->

<rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.321']]/hl7:procedure/hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.321']"
         id="tmp-304ec9c8-0210-4723-9737-6dc6788f3ec3">
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.321.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(Intubationofcolon): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.321.html"
              test="@root='2.16.840.1.113883.2.4.3.36.10.321'">(Intubationofcolon): @root MOET de waarde '2.16.840.1.113883.2.4.3.36.10.321' hebben.</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.321.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(Intubationofcolon): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.321
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.321']]/hl7:procedure/hl7:code
Item: (Intubationofcolon)
-->

<rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.321']]/hl7:procedure/hl7:code"
         id="tmp-ad42e379-7e63-49f5-899c-e152024d0fd0">
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.321.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(Intubationofcolon): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.321.html"
              test="@nullFlavor or (@code='84391005' and @codeSystem='2.16.840.1.113883.6.96')">(Intubationofcolon): De waarde van @code/@codeSystem MOET ''84391005' codeSystem '2.16.840.1.113883.6.96'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.321
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.321']]/hl7:procedure/hl7:text
Item: (Intubationofcolon)
-->

<rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.321']]/hl7:procedure/hl7:text"
         id="tmp-e0f1a1e3-499d-4df8-90d9-b23109fe79af">
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.321.html"
              test="@nullFlavor or @xsi:type='ED' or not(@xsi:type)">(Intubationofcolon): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ED" bevatten</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.321.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Intubationofcolon): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.321.html"
              test="count(hl7:reference)&lt;=1">(Intubationofcolon): element hl7:reference komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.321
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.321']]/hl7:procedure/hl7:text/hl7:reference
Item: (Intubationofcolon)
-->

<rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.321']]/hl7:procedure/hl7:text/hl7:reference"
         id="tmp-67291a85-5e47-4de9-a37b-229d43b842b4">
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.321.html"
              test="@nullFlavor or @xsi:type='TEL' or not(@xsi:type)">(Intubationofcolon): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TEL" bevatten</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.321
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.321']]/hl7:procedure/hl7:effectiveTime
Item: (Intubationofcolon)
-->

<rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.321']]/hl7:procedure/hl7:effectiveTime"
         id="tmp-b03d309a-5c58-49c6-bccb-7333ae259f51">
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.321.html"
              test="@nullFlavor or @xsi:type='IVL_TS' or not(@xsi:type)">(Intubationofcolon): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "IVL_TS" bevatten</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.321.html"
              test="count(hl7:width)&gt;=1 and not(hl7:width/@nullFlavor)">(Intubationofcolon): element hl7:width is mandatory [min 1x].</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.321.html"
              test="count(hl7:width)&lt;=1">(Intubationofcolon): element hl7:width komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.321
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.321']]/hl7:procedure/hl7:effectiveTime/hl7:width
Item: (Intubationofcolon)
-->

<rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.321']]/hl7:procedure/hl7:effectiveTime/hl7:width"
         id="tmp-9679f150-c5d6-4168-b7dc-d3a743228b3b">
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.321.html"
              test="@nullFlavor or @xsi:type='PQ' or not(@xsi:type)">(Intubationofcolon): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PQ" bevatten</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.321.html"
              test="(@nullFlavor or (@unit='min'))">(Intubationofcolon): value MOET eenheid 'min' gebruiken </assert>
      <let name="digitok"
           value="matches($theValue, '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.321.html"
              test="$digitok">(Intubationofcolon): @value is geen geldig PQ getal <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="document('include/voc-ucum.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.321.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(Intubationofcolon): value/@unit (PQ) MOET een geldige UCUM-eenheid zijn (<value-of select="$UCUMtest"/>).</assert>
   </rule>
</pattern>