<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.36.10.322
Description: Template: CO2insufflatie
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.36.10.322">
   <title>CO2 insufflation</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.322
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.322']]
Item: (CO2insufflation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.322
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.322']]/hl7:observation
Item: (CO2insufflation)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.322']]/hl7:observation"
         id="tmp-520f03fa-5dd2-4577-9178-2d86624cd842">
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.322.html"
              test="@classCode='OBS'">(CO2insufflation): De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.322.html"
              test="@moodCode='EVN'">(CO2insufflation): De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.322.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.322'])&gt;=1 ">(CO2insufflation): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.322'] is required [min 1x].</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.322.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.322'])&lt;=1">(CO2insufflation): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.322'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.322.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(CO2insufflation): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.322.html"
              test="count(hl7:code)&lt;=1">(CO2insufflation): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.322.html"
              test="count(hl7:text)&lt;=1">(CO2insufflation): element hl7:text komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.322.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(CO2insufflation): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.322.html"
              test="count(hl7:value)&lt;=1">(CO2insufflation): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.322
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.322']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.322']
Item: (CO2insufflation)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.322']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.322']"
         id="tmp-88d85525-8780-4da8-b973-b7fda6ee5db9">
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.322.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(CO2insufflation): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.322.html"
              test="@root='2.16.840.1.113883.2.4.3.36.10.322'">(CO2insufflation): @root MOET de waarde '2.16.840.1.113883.2.4.3.36.10.322' hebben.</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.322.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(CO2insufflation): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.322
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.322']]/hl7:observation/hl7:code
Item: (CO2insufflation)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.322']]/hl7:observation/hl7:code"
         id="tmp-c2e259e4-8f45-4274-9693-5c721b3a04c1">
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.322.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(CO2insufflation): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.322.html"
              test="@nullFlavor or (@code='C140022' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.200')">(CO2insufflation): De waarde van @code/@codeSystem MOET ''C140022' codeSystem '2.16.840.1.113883.2.4.3.36.77.5.200'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.322
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.322']]/hl7:observation/hl7:text
Item: (CO2insufflation)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.322']]/hl7:observation/hl7:text"
         id="tmp-39d4a816-56f4-487f-a275-36e118a1af48">
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.322.html"
              test="@nullFlavor or @xsi:type='ED' or not(@xsi:type)">(CO2insufflation): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ED" bevatten</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.322.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(CO2insufflation): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.322.html"
              test="count(hl7:reference)&lt;=1">(CO2insufflation): element hl7:reference komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.322
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.322']]/hl7:observation/hl7:text/hl7:reference
Item: (CO2insufflation)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.322']]/hl7:observation/hl7:text/hl7:reference"
         id="tmp-2d0683ac-c292-417c-b0a0-1c9c153760d9">
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.322.html"
              test="@nullFlavor or @xsi:type='TEL' or not(@xsi:type)">(CO2insufflation): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TEL" bevatten</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.322
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.322']]/hl7:observation/hl7:value
Item: (CO2insufflation)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.322']]/hl7:observation/hl7:value"
         id="tmp-8547c804-dae7-494c-a16f-8d6398407a3b">
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.322.html"
              test="@nullFlavor or @xsi:type='BL' or not(@xsi:type)">(CO2insufflation): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "BL" bevatten</assert>
      <extends rule="BL"/>
      <let name="theValue" value="@value"/>
   </rule>
</pattern>