<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.36.10.325
Description: Template: Appendix vastgelegd
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.36.10.325">
   <title>Appendix photo</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.325
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.325']]
Item: (Appendixphoto)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.325
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.325']]/hl7:observation
Item: (Appendixphoto)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.325']]/hl7:observation"
         id="tmp-8b8a2a5e-9862-4572-a3f0-7f70090ff855">
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.325.html"
              test="@classCode='OBS'">(Appendixphoto): De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.325.html"
              test="@moodCode='EVN'">(Appendixphoto): De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.325.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.325'])&gt;=1 ">(Appendixphoto): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.325'] is required [min 1x].</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.325.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.325'])&lt;=1">(Appendixphoto): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.325'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.325.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(Appendixphoto): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.325.html"
              test="count(hl7:code)&lt;=1">(Appendixphoto): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.325.html"
              test="count(hl7:text)&lt;=1">(Appendixphoto): element hl7:text komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.325.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(Appendixphoto): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.325.html"
              test="count(hl7:value)&lt;=1">(Appendixphoto): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.325
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.325']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.325']
Item: (Appendixphoto)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.325']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.325']"
         id="tmp-7546e37e-7740-4897-bae0-099bb0d8af08">
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.325.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(Appendixphoto): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.325.html"
              test="@root='2.16.840.1.113883.2.4.3.36.10.325'">(Appendixphoto): @root MOET de waarde '2.16.840.1.113883.2.4.3.36.10.325' hebben.</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.325.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(Appendixphoto): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.325
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.325']]/hl7:observation/hl7:code
Item: (Appendixphoto)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.325']]/hl7:observation/hl7:code"
         id="tmp-bc49ab64-8f34-406b-8431-e131ceb8a22f">
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.325.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(Appendixphoto): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.325.html"
              test="@nullFlavor or (@code='C140032' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.200')">(Appendixphoto): De waarde van @code/@codeSystem MOET ''C140032' codeSystem '2.16.840.1.113883.2.4.3.36.77.5.200'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.325
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.325']]/hl7:observation/hl7:text
Item: (Appendixphoto)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.325']]/hl7:observation/hl7:text"
         id="tmp-a1de884a-f038-4354-a931-0cb56499270b">
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.325.html"
              test="@nullFlavor or @xsi:type='ED' or not(@xsi:type)">(Appendixphoto): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ED" bevatten</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.325.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Appendixphoto): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.325.html"
              test="count(hl7:reference)&lt;=1">(Appendixphoto): element hl7:reference komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.325
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.325']]/hl7:observation/hl7:text/hl7:reference
Item: (Appendixphoto)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.325']]/hl7:observation/hl7:text/hl7:reference"
         id="tmp-28334bf8-feef-4be2-a5d6-a388bd1473d5">
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.325.html"
              test="@nullFlavor or @xsi:type='TEL' or not(@xsi:type)">(Appendixphoto): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TEL" bevatten</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.325
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.325']]/hl7:observation/hl7:value
Item: (Appendixphoto)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.325']]/hl7:observation/hl7:value"
         id="tmp-b728c2b1-81ea-4c74-a1b0-cf22c4fa36e9">
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.325.html"
              test="@nullFlavor or @xsi:type='BL' or not(@xsi:type)">(Appendixphoto): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "BL" bevatten</assert>
      <extends rule="BL"/>
      <let name="theValue" value="@value"/>
   </rule>
</pattern>