<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.36.10.999308
Description: Template: Type tumor (darmkanker)
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.36.10.999308">
   <title>Type tumor (darmkanker)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.999308
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.999308']]
Item: (Typetumordarmkanker)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.999308
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.999308']]/hl7:observation
Item: (Typetumordarmkanker)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.999308']]/hl7:observation"
         id="tmp-4b112694-ba97-4c1a-b35c-a9fd6df5fa1f">
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.999308.html"
              test="@classCode='OBS'">(Typetumordarmkanker): De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.999308.html"
              test="@moodCode='EVN'">(Typetumordarmkanker): De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.999308.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.999308'])&gt;=1 ">(Typetumordarmkanker): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.999308'] is required [min 1x].</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.999308.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.999308'])&lt;=1">(Typetumordarmkanker): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.999308'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.999308.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(Typetumordarmkanker): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.999308.html"
              test="count(hl7:code)&lt;=1">(Typetumordarmkanker): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.999308.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(Typetumordarmkanker): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.999308.html"
              test="count(hl7:text)&lt;=1">(Typetumordarmkanker): element hl7:text komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.999308.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(Typetumordarmkanker): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.999308.html"
              test="count(hl7:value)&lt;=1">(Typetumordarmkanker): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.999308
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.999308']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.999308']
Item: (Typetumordarmkanker)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.999308']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.999308']"
         id="tmp-a75a9210-4c47-4f01-9f88-ecda3cc005c4">
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.999308.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(Typetumordarmkanker): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.999308.html"
              test="@root='2.16.840.1.113883.2.4.3.36.10.999308'">(Typetumordarmkanker): @root MOET de waarde '2.16.840.1.113883.2.4.3.36.10.999308' hebben.</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.999308.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(Typetumordarmkanker): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.999308
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.999308']]/hl7:observation/hl7:code
Item: (Typetumordarmkanker)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.999308']]/hl7:observation/hl7:code"
         id="tmp-aa5f6f42-7bb5-4eb6-abda-379aa837c177">
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.999308.html"
              test="@nullFlavor or @xsi:type='CD' or not(@xsi:type)">(Typetumordarmkanker): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CD" bevatten</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.999308.html"
              test="@nullFlavor or (@code='160' and @codeSystem='1.3.6.1.4.1.19376.1.8.2.1' and @displayName='Histologic type' and @codeSystemName='PathLex')">(Typetumordarmkanker): De waarde van @code/@codeSystem MOET ''160' codeSystem '1.3.6.1.4.1.19376.1.8.2.1' displayName='Histologic type' codeSystemName='PathLex'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.999308
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.999308']]/hl7:observation/hl7:text
Item: (Typetumordarmkanker)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.999308']]/hl7:observation/hl7:text"
         id="tmp-2d4463d0-2d37-4ee5-89cb-f4dc2f20f44b">
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.999308.html"
              test="@nullFlavor or @xsi:type='ED' or not(@xsi:type)">(Typetumordarmkanker): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ED" bevatten</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.999308.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Typetumordarmkanker): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.999308.html"
              test="count(hl7:reference)&lt;=1">(Typetumordarmkanker): element hl7:reference komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.999308
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.999308']]/hl7:observation/hl7:text/hl7:reference
Item: (Typetumordarmkanker)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.999308']]/hl7:observation/hl7:text/hl7:reference"
         id="tmp-bcc3d61d-ebde-45c5-a0e0-b2de3ca85df0">
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.999308.html"
              test="string-length(@value)&gt;0">(Typetumordarmkanker): attribute @value MOET aanwezig zijn.</assert>
      <let name="theAttValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.999308
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.999308']]/hl7:observation/hl7:value
Item: (Typetumordarmkanker)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.999308']]/hl7:observation/hl7:value"
         id="tmp-26f20c0d-6814-4281-8c5b-8ddcda34c1ce">
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.999308.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(Typetumordarmkanker): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-vs_typelaesie-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), (document('include/voc-ColonInfiltMalignNeoplasmHistologicType-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-vs_typelaesie-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), (document('include/voc-ColonInfiltMalignNeoplasmHistologicType-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.999308.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(Typetumordarmkanker): De waarde van @code MOET worden gekozen uit Value Set vs_typelaesie Type laesie of ColonInfiltMalignNeoplasmHistologicType Colon-Infiltrating malignant neoplasm-Histologic type (APSR) DYNAMIC.</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.999308.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0">(Typetumordarmkanker): De nul waarde voor @code MOET worden gekozen uit de set geldige null flavors gedefinieerd voor dit attribuut of degene geassocieerd met Value Set vs_typelaesie Type laesie of ColonInfiltMalignNeoplasmHistologicType Colon-Infiltrating malignant neoplasm-Histologic type (APSR) DYNAMIC.</assert>
   </rule>
</pattern>