<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.36.10.309
Description: Template: Preparationasrequired
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.36.10.309">
   <title>Preparation as required</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.309
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.309']]
Item: (Preparationasrequired)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.309
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.309']]/hl7:observation
Item: (Preparationasrequired)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.309']]/hl7:observation"
         id="tmp-f11950e2-8792-4a42-a53f-f47ceb46b20c">
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.309.html"
              test="@classCode='OBS'">(Preparationasrequired): De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.309.html"
              test="@moodCode='EVN'">(Preparationasrequired): De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.309.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.309'])&gt;=1 ">(Preparationasrequired): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.309'] is required [min 1x].</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.309.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.309'])&lt;=1">(Preparationasrequired): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.309'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.309.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(Preparationasrequired): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.309.html"
              test="count(hl7:code)&lt;=1">(Preparationasrequired): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.309.html"
              test="count(hl7:text)&lt;=1">(Preparationasrequired): element hl7:text komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.309.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(Preparationasrequired): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.309.html"
              test="count(hl7:value)&lt;=1">(Preparationasrequired): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.309
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.309']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.309']
Item: (Preparationasrequired)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.309']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.309']"
         id="tmp-be53290f-acc0-48ad-ba0e-e4b5736a83e7">
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.309.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(Preparationasrequired): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.309.html"
              test="@root='2.16.840.1.113883.2.4.3.36.10.309'">(Preparationasrequired): @root MOET de waarde '2.16.840.1.113883.2.4.3.36.10.309' hebben.</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.309.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(Preparationasrequired): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.309
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.309']]/hl7:observation/hl7:code
Item: (Preparationasrequired)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.309']]/hl7:observation/hl7:code"
         id="tmp-5b5ef45d-c768-4a61-85b7-5fb92378f5f5">
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.309.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(Preparationasrequired): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.309.html"
              test="@nullFlavor or (@code='C140007' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.200')">(Preparationasrequired): De waarde van @code/@codeSystem MOET ''C140007' codeSystem '2.16.840.1.113883.2.4.3.36.77.5.200'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.309
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.309']]/hl7:observation/hl7:text
Item: (Preparationasrequired)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.309']]/hl7:observation/hl7:text"
         id="tmp-b5586ae7-2c45-46b0-b686-ee80f7db1cfb">
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.309.html"
              test="@nullFlavor or @xsi:type='ED' or not(@xsi:type)">(Preparationasrequired): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ED" bevatten</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.309.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Preparationasrequired): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.309.html"
              test="count(hl7:reference)&lt;=1">(Preparationasrequired): element hl7:reference komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.309
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.309']]/hl7:observation/hl7:text/hl7:reference
Item: (Preparationasrequired)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.309']]/hl7:observation/hl7:text/hl7:reference"
         id="tmp-9f431a48-6d40-461f-86b1-f30a0351f4e1">
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.309.html"
              test="@nullFlavor or @xsi:type='TEL' or not(@xsi:type)">(Preparationasrequired): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TEL" bevatten</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.309
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.309']]/hl7:observation/hl7:value
Item: (Preparationasrequired)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.309']]/hl7:observation/hl7:value"
         id="tmp-4b0619cd-c74c-49ac-bb99-817a544f4366">
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.309.html"
              test="@nullFlavor or @xsi:type='BL' or not(@xsi:type)">(Preparationasrequired): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "BL" bevatten</assert>
      <extends rule="BL"/>
      <let name="theValue" value="@value"/>
   </rule>
</pattern>