<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.36.10.326
Description: Template: Klep of terminaal ileum vastgelegd
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.36.10.326">
   <title>Ileum terminale photo</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.326
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.326']]
Item: (Ileumterminalephoto)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.326
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.326']]/hl7:observation
Item: (Ileumterminalephoto)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.326']]/hl7:observation"
         id="tmp-34472600-5c55-43bb-bd68-bcaa88358eb6">
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.326.html"
              test="@classCode='OBS'">(Ileumterminalephoto): De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.326.html"
              test="@moodCode='EVN'">(Ileumterminalephoto): De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.326.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.326'])&gt;=1 ">(Ileumterminalephoto): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.326'] is required [min 1x].</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.326.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.326'])&lt;=1">(Ileumterminalephoto): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.326'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.326.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(Ileumterminalephoto): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.326.html"
              test="count(hl7:code)&lt;=1">(Ileumterminalephoto): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.326.html"
              test="count(hl7:text)&lt;=1">(Ileumterminalephoto): element hl7:text komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.326.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(Ileumterminalephoto): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.326.html"
              test="count(hl7:value)&lt;=1">(Ileumterminalephoto): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.326
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.326']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.326']
Item: (Ileumterminalephoto)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.326']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.326']"
         id="tmp-d98fcc18-bbc2-4f7c-a59a-a617276cb32e">
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.326.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(Ileumterminalephoto): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.326.html"
              test="@root='2.16.840.1.113883.2.4.3.36.10.326'">(Ileumterminalephoto): @root MOET de waarde '2.16.840.1.113883.2.4.3.36.10.326' hebben.</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.326.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(Ileumterminalephoto): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.326
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.326']]/hl7:observation/hl7:code
Item: (Ileumterminalephoto)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.326']]/hl7:observation/hl7:code"
         id="tmp-12859ed6-764b-4975-b1ef-256737c58304">
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.326.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(Ileumterminalephoto): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.326.html"
              test="@nullFlavor or (@code='C140050' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.200')">(Ileumterminalephoto): De waarde van @code/@codeSystem MOET ''C140050' codeSystem '2.16.840.1.113883.2.4.3.36.77.5.200'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.326
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.326']]/hl7:observation/hl7:text
Item: (Ileumterminalephoto)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.326']]/hl7:observation/hl7:text"
         id="tmp-e6b4500f-59c6-4fa6-97ae-089bf028cd94">
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.326.html"
              test="@nullFlavor or @xsi:type='ED' or not(@xsi:type)">(Ileumterminalephoto): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ED" bevatten</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.326.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Ileumterminalephoto): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.326.html"
              test="count(hl7:reference)&lt;=1">(Ileumterminalephoto): element hl7:reference komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.326
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.326']]/hl7:observation/hl7:text/hl7:reference
Item: (Ileumterminalephoto)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.326']]/hl7:observation/hl7:text/hl7:reference"
         id="tmp-abaad486-3bff-447e-8c59-31eb7484b2f0">
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.326.html"
              test="@nullFlavor or @xsi:type='TEL' or not(@xsi:type)">(Ileumterminalephoto): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TEL" bevatten</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.326
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.326']]/hl7:observation/hl7:value
Item: (Ileumterminalephoto)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.326']]/hl7:observation/hl7:value"
         id="tmp-9cf664b1-cc05-451f-b266-8008f59895f9">
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.326.html"
              test="@nullFlavor or @xsi:type='BL' or not(@xsi:type)">(Ileumterminalephoto): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "BL" bevatten</assert>
      <extends rule="BL"/>
      <let name="theValue" value="@value"/>
   </rule>
</pattern>