<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.36.10.371
Description: Template: Surveillance periode
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.36.10.371">
   <title>Surveillance periode</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.371
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.371']]
Item: (Followuparranged)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.371
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.371']]/hl7:observation
Item: (Followuparranged)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.371']]/hl7:observation"
         id="tmp-94298c8c-05b0-422c-b5e8-38be42cfecf5">
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.371.html"
              test="@classCode='OBS'">(Followuparranged): De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.371.html"
              test="@moodCode='EVN'">(Followuparranged): De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.371.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.371'])&gt;=1 ">(Followuparranged): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.371'] is required [min 1x].</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.371.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.371'])&lt;=1">(Followuparranged): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.371'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.371.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(Followuparranged): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.371.html"
              test="count(hl7:code)&lt;=1">(Followuparranged): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.371.html"
              test="count(hl7:text)&lt;=1">(Followuparranged): element hl7:text komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.371.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(Followuparranged): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.371.html"
              test="count(hl7:value)&lt;=1">(Followuparranged): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.371
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.371']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.371']
Item: (Followuparranged)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.371']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.371']"
         id="tmp-d61cc8a7-d062-4c82-9062-42e153a7f689">
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.371.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(Followuparranged): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.371.html"
              test="@root='2.16.840.1.113883.2.4.3.36.10.371'">(Followuparranged): @root MOET de waarde '2.16.840.1.113883.2.4.3.36.10.371' hebben.</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.371.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(Followuparranged): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.371
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.371']]/hl7:observation/hl7:code
Item: (Followuparranged)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.371']]/hl7:observation/hl7:code"
         id="tmp-3fcec01b-82bb-4515-9494-c0d38370e43f">
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.371.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(Followuparranged): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.371.html"
              test="@nullFlavor or (@code='183616001' and @codeSystem='2.16.840.1.113883.6.96')">(Followuparranged): De waarde van @code/@codeSystem MOET ''183616001' codeSystem '2.16.840.1.113883.6.96'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.371
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.371']]/hl7:observation/hl7:text
Item: (Followuparranged)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.371']]/hl7:observation/hl7:text"
         id="tmp-64397744-827d-4793-8e3f-e2fb46e6267a">
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.371.html"
              test="@nullFlavor or @xsi:type='ED' or not(@xsi:type)">(Followuparranged): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ED" bevatten</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.371.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Followuparranged): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.371.html"
              test="count(hl7:reference)&lt;=1">(Followuparranged): element hl7:reference komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.371
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.371']]/hl7:observation/hl7:text/hl7:reference
Item: (Followuparranged)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.371']]/hl7:observation/hl7:text/hl7:reference"
         id="tmp-3ee969b0-acdf-4ee7-9281-6c3b3788ea8a">
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.371.html"
              test="@nullFlavor or @xsi:type='TEL' or not(@xsi:type)">(Followuparranged): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TEL" bevatten</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.371
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.371']]/hl7:observation/hl7:value
Item: (Followuparranged)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.371']]/hl7:observation/hl7:value"
         id="tmp-cbda6fd7-bdf8-43ca-9f0a-2557a4d15482">
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.371.html"
              test="@nullFlavor or @xsi:type='PQ' or not(@xsi:type)">(Followuparranged): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PQ" bevatten</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.371.html"
              test="(@nullFlavor or (@unit='mo'))">(Followuparranged): value MOET eenheid 'mo' gebruiken </assert>
      <let name="digitok"
           value="matches($theValue, '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.371.html"
              test="$digitok">(Followuparranged): @value is geen geldig PQ getal <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="document('include/voc-ucum.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.371.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(Followuparranged): value/@unit (PQ) MOET een geldige UCUM-eenheid zijn (<value-of select="$UCUMtest"/>).</assert>
   </rule>
</pattern>